#version 330 core
in vec3 ourColor;
in vec2 TexCoord;

out vec4 color;

// Texture samplers
uniform sampler2D color_texture;
uniform sampler2D lightmaptexture;

void main()
{
	// Linearly interpolate between both textures (second texture is only slightly combined)
    color = mix(texture(color_texture, TexCoord), texture(lightmaptexture, TexCoord), 0.5);
}